Subject: Re: [mobile-ip] WG feedback on bicasting

From: Wolfgang Schoenfeld <[email-masked]>
Date: Mon, 23 Jul 2001 11:58:11 +0200

"Karim El-Malki (ERA)" wrote:
> 
> Hello folks
> 
> We'd like to have feedback on the following draft:
> http://www.ietf.org/internet-drafts/draft-elmalki-mobileip-bicasting-v6-00.txt
> This describes a technique to reduce packet loss during
> the handover (i.e. smoothing) and to support l2-handover
> failure or ping-pong. This is meant for addition to the
> fast handover v6 draft. It was discussed in the fast handover
> mipv6 design team and it was decided to ask the WG for feedback
> on whether to include this in the fastv6 draft. The equivalent
> draft for MIPv4 (low latency v4) already includes this technique
> so we're proposing to include this optional function in v6 as well.
> What do people think about this?
> 
> Regards
> /Karim

Karim,

I'm not able to comment on mobileip WG issues,
but I believe that the role of bicasting for handover
is not yet fully understood, both in MIPv4 and MIPv6.
Considerations like the following for MIPv4
might help to decide.

Obviously, bicasting makes sense only if MN is able 
to maintain more than one link simultaneously,
say to oFA and nFA.
Now assume that this is the case
and consider handover without bicasting.
Handover involves, among others, these events:

(A) MN detects a link to nFA and issues a BU message to HA.
(B) HA receives BU and updates binding of MN.
(C) MN looses the link to oFA.

How is a stream of packets from some CN to MN affected by handover?
(A) does not affect the stream, but (B) does:
Before (B), packets travel to oFA,
and after (B), they travel to nFA 
(assume that HA buffers during (B)).
Packets passing HA after (B) will reach MN, 
but what about those
which pass HA before (B) and after (A)?
Let us call them "critical" packets.

If (C) happens only after all critical packets 
have passed the link from oFA to MN,
then there is no packet loss at all.
(However, the stream may be out of order.)
On the other hand, 
if (C) happens before all critical packets have reached MN via oFA,
oFA will discard some of them.
(Note there are proposals to, instead, forward them to nFA.)

Now, what could bicasting improve?
Non-critical packets need not be bicasted -
they will reach MN anyhow.
And critical packets cannot be bicasted 
because HA is not yet aware of (A) !
(except HA is able to guess)

To summarize, 
simultaneous use of two links to MN - if they exist -
is somehow "built-in" and can happen
even if simultaneous binding is switched off.
Switching it on will have no effect on packet loss!!!
Bicasting does not make sense.

It does make sense only if HA is able to predict (A).
But move prediction is, as far as I understand,
not an issue for MIPv4 or for MIPv6.

Regards,
Wolfgang
-- 
Wolfgang Schoenfeld, Fraunhofer IPSI, Dolivostr. 15, D-64293 Darmstadt
Office: +49-6151-869-865 FAX: -6847 Mobile: +49-174-7093455